
MAPIES: Monarch Assimilation Preproc and Inversion of Emissions plus Satellites (acronym is subject to improve)

MAPIES is a modular library for processing satellite data for the AC group.

```mermaid
---
title: MAPIES flowchart
---
flowchart TB
	Download
    raw[Raw downloaded files L1/L2/L3]
    subgraph Preprocessing
    read[Read]
    select[Time-domain selection]
    filter[QF-QC]
    convert[Units conversion]
    subsample[Undersample]
    error[Error estimation]
    extend[Data merger]
    write[Write]
    end
    Interpolate[InterpolateWithNES?]
    Visualize1[Visualize]
    Statistics1[Statistics]
    Download --> raw
    raw --> Preprocessing
    formatted[Formatted data]
    Preprocessing -->|Average|formatted
    formatted -->|Average|Statistics1
    formatted -->MonarchDA
    formatted -->Plumes
    formatted -->Other
    formatted -->Visualize1
    formatted o--o Storage
    formatted -->|Average|Interpolate
    MONARCH -->|Average|Interpolate
    EC-EARTH -->|Average|Interpolate
    Interpolate -->Providentia
    Providentia -->Visualize2[Visualize]
    Providentia -->|Average|Statistics2[Statistics]
    MONARCH -->MonarchDA 
	MonarchDA -->Visualize1
	MonarchDA -->|Average|Statistics1
	MonarchDA -->|Average|Interpolate
    
```